#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QtGui>

#include "MainWindow.h"
#include "TabAudioJoy.h"
#include "TabFeatures.h"
#include "TabMod.h"
#include "TabNetwork.h"
#include "TabRegistry.h"
#include "TabSpeech.h"
#include "TabVideo.h"
#include "TabWelcome.h"

class MainWindow : public QWidget
{
	Q_OBJECT

	public:
		MainWindow(QWidget *parent = 0);

	public slots:
		void updateUI();
		void browseButtonClicked();
		void runButtonClicked();
		void okButtonClicked();
		void cancelButtonClicked();
		void applyButtonClicked();

	private:
		QLineEdit *pathToBinary;

		TabAudioJoy *tabAudioJoy;
		TabFeatures *tabFeatures;
		TabMod *tabMod;
		TabNetwork *tabNetwork;
		TabRegistry *tabRegistry;
		TabSpeech *tabSpeech;
		TabVideo *tabVideo;
		TabWelcome *tabWelcome;
};

#endif
