#ifndef TABFEATURES_H
#define TABFEATURES_H

#include <QtGui>

class MyCheckBox : public QCheckBox
{
	Q_OBJECT

	public:
		MyCheckBox( const QString&, const QString&, QWidget * qwParent = 0 );

	public slots:
		void emitMyStateChanged( int );

	private:
		QString flag, desc;

	signals:
		void myStateChanged( int, const QString& );
};

class TabFeatures : public QWidget
{
	Q_OBJECT

	public:
		TabFeatures( QWidget * qwParent = 0 );

	public slots:
		void updateUI();
		void selectEasyFlagSet( int );
		void updateCustomFlags( const QString& );
		void setFlag( int, const QString& );

	private:
		void drawCheckBoxList();

		QTextEdit *flagsTextEdit;
		QComboBox *easySetupComboBox;
		QLineEdit *customFlagsLineEdit;
		QComboBox *listComboBox;

		QVBoxLayout *inGroupLayout;
		QStackedWidget *stackedWidget;
};

#endif
