#CONFIG += btrl
#CONFIG += tbp
#CONFIG += wcsaga

TEMPLATE = app
CONFIG += qt warn_on debug_and_release
DEPENDPATH += src src/gui
INCLUDEPATH += src src/gui

DESTDIR = bin
#OBJECTS_DIR = release
#MOC_DIR = release
#UI_DIR = release
#RCC_DIR = release

TARGET = fs2_launcher
RESOURCES = resources/res_common.qrc resources/res_fs2_open.qrc

btrl {
	TARGET = btrl_launcher
	RESOURCES = resources/res_common.qrc resources/res_btrl.qrc
	DEFINES += BTRL
}
tbp {
	TARGET = tbp_launcher
	RESOURCES = resources/res_common.qrc resources/res_tbp.qrc
	DEFINES += TBP
}
wcsaga {
	TARGET = wcsaga_launcher
	RESOURCES = resources/res_common.qrc resources/res_wcsaga.qrc
	DEFINES += WCSAGA
}

CONFIG(debug, debug|release) {
	TARGET = $${TARGET}_d
}

FORMS +=	ui/MainWindow.ui \
			ui/TabWelcome.ui \
			ui/TabFeatures.ui \
			ui/TabMod.ui \
			ui/TabVideo.ui \
			ui/TabAudioJoy.ui \
			ui/TabSpeech.ui \
			ui/TabNetwork.ui \
			ui/TabRegistry.ui

HEADERS +=	src/FS2_Flag.h \
			src/Singleton.h \
			src/FilePaths.h \
			src/Registry.h \
			src/System.h \
			src/Settings.h \
			src/IniParser.h \
			src/GameInfo.h \
			src/gui/MainWindow.h \
			src/gui/MyCheckBox.h \
			src/gui/MyCheckBoxList.h \
			src/gui/MyDialogSelectMod.h \
			src/gui/MyLabelAA.h \
			src/gui/MyLabelAF.h \
			src/gui/TabWelcome.h \
			src/gui/TabFeatures.h \
			src/gui/TabMod.h \
			src/gui/TabVideo.h \
			src/gui/TabAudioJoy.h \
			src/gui/TabSpeech.h \
			src/gui/TabNetwork.h \
			src/gui/TabRegistry.h

SOURCES +=	src/main.cpp \
			src/FilePaths.cpp \
			src/Registry.cpp \
			src/System.cpp \
			src/Settings.cpp \
			src/IniParser.cpp \
			src/GameInfo.cpp \
			src/gui/MainWindow.cpp \
			src/gui/MyCheckBox.cpp \
			src/gui/MyCheckBoxList.cpp \
			src/gui/MyDialogSelectMod.cpp \
			src/gui/MyLabelAA.cpp \
			src/gui/MyLabelAF.cpp \
			src/gui/TabWelcome.cpp \
			src/gui/TabFeatures.cpp \
			src/gui/TabMod.cpp \
			src/gui/TabVideo.cpp \
			src/gui/TabAudioJoy.cpp \
			src/gui/TabSpeech.cpp \
			src/gui/TabNetwork.cpp \
			src/gui/TabRegistry.cpp

unix {
LIBS += -lopenal -lSDL
DEFINES += _GNU_SOURCE=1
DEPENDPATH += src/unix
SOURCES += src/unix/FilePaths_unix.cpp \
           src/unix/Registry_unix.cpp \
           src/unix/System_unix.cpp
}

win32 {
LIBS += -lwinmm -lole32 win_speech/lib/sapi.lib    
INCLUDEPATH += win_speech/include
DEPENDPATH += src/win
RC_FILE = resources/res_win.rc
SOURCES += src/win/FilePaths_win.cpp \
           src/win/Registry_win.cpp \
           src/win/System_win.cpp
}

macx {
CONFIG += x86 ppc
DEPENDPATH += src/macx
SOURCES += src/macx/FilePaths_macx.cpp \
           src/macx/Registry_macx.cpp \
           src/macx/System_macx.cpp
}
